<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Insert_Dispatcher_V3 StructType
 * @subpackage Structs
 */
class Insert_Dispatcher_V3 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The DispatcherInsert
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\DispatcherInsert_V3
     */
    public $DispatcherInsert;
    /**
     * Constructor method for Insert_Dispatcher_V3
     * @uses Insert_Dispatcher_V3::setLogin()
     * @uses Insert_Dispatcher_V3::setDispatcherInsert()
     * @param \StructType\Login $login
     * @param \StructType\DispatcherInsert_V3 $dispatcherInsert
     */
    public function __construct(\StructType\Login $login = null, \StructType\DispatcherInsert_V3 $dispatcherInsert = null)
    {
        $this
            ->setLogin($login)
            ->setDispatcherInsert($dispatcherInsert);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Insert_Dispatcher_V3
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get DispatcherInsert value
     * @return \StructType\DispatcherInsert_V3|null
     */
    public function getDispatcherInsert()
    {
        return $this->DispatcherInsert;
    }
    /**
     * Set DispatcherInsert value
     * @param \StructType\DispatcherInsert_V3 $dispatcherInsert
     * @return \StructType\Insert_Dispatcher_V3
     */
    public function setDispatcherInsert(\StructType\DispatcherInsert_V3 $dispatcherInsert = null)
    {
        $this->DispatcherInsert = $dispatcherInsert;
        return $this;
    }
}
